v0
--

first prototype, with pin header to debug

the over-voltage protection is based on an design described by Texas Instruments, in Analog Engineer's Circuit: Amplifiers, SNOAA20, Overvoltage protection with comparator circuit.

this design is not ideal for our case though.
a Zener diode is used as reference voltage.
it requires at least 1 mA to operate.
this is already a lot for my application.
but 1 mA is when VBUS is at it's minimum of 4.75V.
at 35V this would result in 21 mA.
this power is mainly dissipated by the resistor limiting the current going through the diode.
the dissipated ~0.6W exceeds the 0.1W rating of the resistor, also heating up a zone of the board to 100 °C.
the reference voltage is current dependent, thus the cutoff voltage goes above 5.5V.
this is not too much of a problem because VBUS also exceeds this voltage, but it's not ideal.

design errors:

- the footprint for the USB-C plug has too small mounting holes
- the LM393 is actually an open-collector comparator, but the circuit uses it as push-pull
- the zener diode needs at least 1 mA to be used as voltage reference, not 10 µA (Ileakage and Ibias/Ikz are mixed)
- the design does not respect the common-mode input-voltage range (up to Vcc-2)
